<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortStepper.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortStepper_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortStepper.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __PortStepper_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __PortStepper_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Port.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_STEPPER</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="LocoStepper_8h.html">LocoStepper.h</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classPortStepper.html">   25</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPortStepper.html">PortStepper</a>: <span class="keyword">public</span> <a class="code" href="classPort.html">Port</a></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;{</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classPortStepper.html#a61b4c9fd238a4caec4de03b60fc60d66">   29</a></span>&#160;        <a class="code" href="classLocoStepper.html">LocoStepper</a> *<a class="code" href="classPortStepper.html#a61b4c9fd238a4caec4de03b60fc60d66">pMotor</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <a class="code" href="classPortStepper.html#a94a6f92105c2494d04f9f653a1bb156e">PortStepper</a>();</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(uint8_t inPin1, uint8_t inPin2, PIN_TYPE inType = DIGITAL, uint8_t *inpSteps = NULL);</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(uint8_t inPin1, uint8_t inPin2, uint8_t inPin3, uint8_t inPin4, PIN_TYPE inType = DIGITAL, uint8_t *inpSteps = NULL);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortStepper.html#a1eea1361734ec9cbbaf6238982f92d65">MovePosition</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inEndPosition);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortStepper.html#a417d33c4ec969fa72d38d1eb6b573c27">MoveRelativePosition</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inIncrementalPosition);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classPortStepper.html#afb4710032a0c5a5f59be3a13b48a9261">   79</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPortStepper.html#afb4710032a0c5a5f59be3a13b48a9261">run</a>() { <span class="keywordflow">return</span> this-&gt;pMotor-&gt;<a class="code" href="classLocoStepper.html#ae4045493f8395d7b3dc0a8e1477b3596">run</a>(); }</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classPortStepper.html#a447defdd7477062573011be2a7bffb8a">   83</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">long</span> <a class="code" href="classPortStepper.html#a447defdd7477062573011be2a7bffb8a">currentPosition</a>() { <span class="keywordflow">return</span> this-&gt;pMotor-&gt;<a class="code" href="classLocoStepper.html#a3f619bbe60bc7f71b64d0447b7c6b0ad">currentPosition</a>(); }</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classPortStepper.html#aef2c87ee824580b80a4d6696e0421fe1">   87</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">long</span> <a class="code" href="classPortStepper.html#aef2c87ee824580b80a4d6696e0421fe1">targetPosition</a>() { <span class="keywordflow">return</span> this-&gt;pMotor-&gt;<a class="code" href="classLocoStepper.html#a92a8648eb49926cdb11f96cdc6de17b4">targetPosition</a>(); }</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classPortStepper.html#aaec300bb6284c1f148273c95843ee8f3">   93</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortStepper.html#aaec300bb6284c1f148273c95843ee8f3">GetPosition</a>() { <span class="keywordflow">return</span> (<span class="keywordtype">int</span>) this-&gt;<a class="code" href="classPortStepper.html#a447defdd7477062573011be2a7bffb8a">currentPosition</a>(); }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        uint8_t printPin1;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        uint8_t printPin2;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        uint8_t printPin3;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        uint8_t printPin4;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        PIN_TYPE printType;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        uint8_t *printpSteps;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;};</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPortStepper_html_aaec300bb6284c1f148273c95843ee8f3"><div class="ttname"><a href="classPortStepper.html#aaec300bb6284c1f148273c95843ee8f3">PortStepper::GetPosition</a></div><div class="ttdeci">int GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8hpp_source.html#l00093">PortStepper.hpp:93</a></div></div>
<div class="ttc" id="classLocoStepper_html_a92a8648eb49926cdb11f96cdc6de17b4"><div class="ttname"><a href="classLocoStepper.html#a92a8648eb49926cdb11f96cdc6de17b4">LocoStepper::targetPosition</a></div><div class="ttdeci">long targetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00113">LocoStepper.cpp:113</a></div></div>
<div class="ttc" id="classPortStepper_html_aef2c87ee824580b80a4d6696e0421fe1"><div class="ttname"><a href="classPortStepper.html#aef2c87ee824580b80a4d6696e0421fe1">PortStepper::targetPosition</a></div><div class="ttdeci">long targetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8hpp_source.html#l00087">PortStepper.hpp:87</a></div></div>
<div class="ttc" id="classLocoStepper_html_a3f619bbe60bc7f71b64d0447b7c6b0ad"><div class="ttname"><a href="classLocoStepper.html#a3f619bbe60bc7f71b64d0447b7c6b0ad">LocoStepper::currentPosition</a></div><div class="ttdeci">long currentPosition()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00118">LocoStepper.cpp:118</a></div></div>
<div class="ttc" id="classPortStepper_html_a447defdd7477062573011be2a7bffb8a"><div class="ttname"><a href="classPortStepper.html#a447defdd7477062573011be2a7bffb8a">PortStepper::currentPosition</a></div><div class="ttdeci">long currentPosition()</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8hpp_source.html#l00083">PortStepper.hpp:83</a></div></div>
<div class="ttc" id="classLocoStepper_html_ae4045493f8395d7b3dc0a8e1477b3596"><div class="ttname"><a href="classLocoStepper.html#ae4045493f8395d7b3dc0a8e1477b3596">LocoStepper::run</a></div><div class="ttdeci">boolean run()</div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8cpp_source.html#l00072">LocoStepper.cpp:72</a></div></div>
<div class="ttc" id="classPortStepper_html_afb4710032a0c5a5f59be3a13b48a9261"><div class="ttname"><a href="classPortStepper.html#afb4710032a0c5a5f59be3a13b48a9261">PortStepper::run</a></div><div class="ttdeci">bool run()</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8hpp_source.html#l00079">PortStepper.hpp:79</a></div></div>
<div class="ttc" id="classPortStepper_html_a417d33c4ec969fa72d38d1eb6b573c27"><div class="ttname"><a href="classPortStepper.html#a417d33c4ec969fa72d38d1eb6b573c27">PortStepper::MoveRelativePosition</a></div><div class="ttdeci">void MoveRelativePosition(unsigned long inDuration, int inIncrementalPosition)</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8cpp_source.html#l00057">PortStepper.cpp:57</a></div></div>
<div class="ttc" id="classPortStepper_html_a1eea1361734ec9cbbaf6238982f92d65"><div class="ttname"><a href="classPortStepper.html#a1eea1361734ec9cbbaf6238982f92d65">PortStepper::MovePosition</a></div><div class="ttdeci">void MovePosition(unsigned long inDuration, int inEndPosition)</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8cpp_source.html#l00045">PortStepper.cpp:45</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortStepper_html_a94a6f92105c2494d04f9f653a1bb156e"><div class="ttname"><a href="classPortStepper.html#a94a6f92105c2494d04f9f653a1bb156e">PortStepper::PortStepper</a></div><div class="ttdeci">PortStepper()</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8cpp_source.html#l00011">PortStepper.cpp:11</a></div></div>
<div class="ttc" id="classPortStepper_html_a61b4c9fd238a4caec4de03b60fc60d66"><div class="ttname"><a href="classPortStepper.html#a61b4c9fd238a4caec4de03b60fc60d66">PortStepper::pMotor</a></div><div class="ttdeci">LocoStepper * pMotor</div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8hpp_source.html#l00029">PortStepper.hpp:29</a></div></div>
<div class="ttc" id="classLocoStepper_html"><div class="ttname"><a href="classLocoStepper.html">LocoStepper</a></div><div class="ttdoc">Support for stepper motors with acceleration etc. </div><div class="ttdef"><b>Definition:</b> <a href="LocoStepper_8h_source.html#l00081">LocoStepper.h:81</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classPortStepper_html"><div class="ttname"><a href="classPortStepper.html">PortStepper</a></div><div class="ttdef"><b>Definition:</b> <a href="PortStepper_8hpp_source.html#l00025">PortStepper.hpp:25</a></div></div>
<div class="ttc" id="LocoStepper_8h_html"><div class="ttname"><a href="LocoStepper_8h.html">LocoStepper.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortStepper.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
